#ifndef __CALC_TU__
#define __CALC_TU__
#include "calc.h"
#include "stringext.h"

#define FALSE 0
#define TRUE 1
#define MAX_CHAINE 200

typedef enum {addition,soustraction,multiplication,division} CALC_Operateur;

int CALC_estUnChiffre(char c);
int CALC_estUneParentheseOuvrante(char c);
int CALC_estUneParentheseFermante(char c);
void CALC_reconnaitreSuiteChiffres(char* texte, unsigned int debut, unsigned int* fin, int* ok);
void CALC_reconnaitreVirgule(char* texte, unsigned int debut, unsigned int* fin, int* ok);
float CALC_xPuissanceN(float x, int n) ;
void CALC_chaineEnNaturel(char* texte, int* a, int* ok);
void CALC_reconnaitreNombre(char* texte, unsigned int debut, float* resultat, unsigned int* fin, int* ok);
void CALC_reconnaitreOperande(char* texte, unsigned int debut, float* resultat, unsigned int* fin, int* ok);
void CALC_reconnaitreOperateur(char* texte, unsigned int debut, CALC_Operateur* resultat, unsigned int* fin, int* ok);
void CALC_calculerOperation(char* texte, unsigned int debut, float* resultat, unsigned int* fin, int* ok);
#endif
